public interface ListGroupStatsRequestOrBuilder
extends com.google.protobuf.MessageOrBuilder
| Modifier and Type | Method and Description |
|---|---|
TimedCountAlignment |
getAlignment()
[Optional] The alignment of the timed counts to be returned.
|
com.google.protobuf.Timestamp |
getAlignmentTime()
[Optional] Time where the timed counts shall be aligned if rounded
alignment is chosen.
|
com.google.protobuf.TimestampOrBuilder |
getAlignmentTimeOrBuilder()
[Optional] Time where the timed counts shall be aligned if rounded
alignment is chosen.
|
int |
getAlignmentValue()
[Optional] The alignment of the timed counts to be returned.
|
java.lang.String |
getGroupId(int index)
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
|
com.google.protobuf.ByteString |
getGroupIdBytes(int index)
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
|
int |
getGroupIdCount()
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
|
java.util.List<java.lang.String> |
getGroupIdList()
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
|
ErrorGroupOrder |
getOrder()
[Optional] The sort order in which the results are returned.
|
int |
getOrderValue()
[Optional] The sort order in which the results are returned.
|
int |
getPageSize()
[Optional] The maximum number of results to return per response.
|
java.lang.String |
getPageToken()
[Optional] A `next_page_token` provided by a previous response.
|
com.google.protobuf.ByteString |
getPageTokenBytes()
[Optional] A `next_page_token` provided by a previous response.
|
java.lang.String |
getProjectName()
[Required] The resource name of the Google Cloud Platform project.
|
com.google.protobuf.ByteString |
getProjectNameBytes()
[Required] The resource name of the Google Cloud Platform project.
|
ServiceContextFilter |
getServiceFilter()
[Optional] List only <code>ErrorGroupStats</code> which belong to a service
context that matches the filter.
|
ServiceContextFilterOrBuilder |
getServiceFilterOrBuilder()
[Optional] List only <code>ErrorGroupStats</code> which belong to a service
context that matches the filter.
|
com.google.protobuf.Duration |
getTimedCountDuration()
[Optional] The preferred duration for a single returned `TimedCount`.
|
com.google.protobuf.DurationOrBuilder |
getTimedCountDurationOrBuilder()
[Optional] The preferred duration for a single returned `TimedCount`.
|
QueryTimeRange |
getTimeRange()
[Optional] List data for the given time range.
|
QueryTimeRangeOrBuilder |
getTimeRangeOrBuilder()
[Optional] List data for the given time range.
|
boolean |
hasAlignmentTime()
[Optional] Time where the timed counts shall be aligned if rounded
alignment is chosen.
|
boolean |
hasServiceFilter()
[Optional] List only <code>ErrorGroupStats</code> which belong to a service
context that matches the filter.
|
boolean |
hasTimedCountDuration()
[Optional] The preferred duration for a single returned `TimedCount`.
|
boolean |
hasTimeRange()
[Optional] List data for the given time range.
|
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneofjava.lang.String getProjectName()
[Required] The resource name of the Google Cloud Platform project. Written as <code>projects/</code> plus the <a href="https://support.google.com/cloud/answer/6158840">Google Cloud Platform project ID</a>. Example: <code>projects/my-project-123</code>.
optional string project_name = 1;com.google.protobuf.ByteString getProjectNameBytes()
[Required] The resource name of the Google Cloud Platform project. Written as <code>projects/</code> plus the <a href="https://support.google.com/cloud/answer/6158840">Google Cloud Platform project ID</a>. Example: <code>projects/my-project-123</code>.
optional string project_name = 1;java.util.List<java.lang.String> getGroupIdList()
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
repeated string group_id = 2;int getGroupIdCount()
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
repeated string group_id = 2;java.lang.String getGroupId(int index)
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
repeated string group_id = 2;com.google.protobuf.ByteString getGroupIdBytes(int index)
[Optional] List all <code>ErrorGroupStats</code> with these IDs.
repeated string group_id = 2;boolean hasServiceFilter()
[Optional] List only <code>ErrorGroupStats</code> which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified.
optional .google.devtools.clouderrorreporting.v1beta1.ServiceContextFilter service_filter = 3;ServiceContextFilter getServiceFilter()
[Optional] List only <code>ErrorGroupStats</code> which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified.
optional .google.devtools.clouderrorreporting.v1beta1.ServiceContextFilter service_filter = 3;ServiceContextFilterOrBuilder getServiceFilterOrBuilder()
[Optional] List only <code>ErrorGroupStats</code> which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified.
optional .google.devtools.clouderrorreporting.v1beta1.ServiceContextFilter service_filter = 3;boolean hasTimeRange()
[Optional] List data for the given time range. If not set a default time range is used. The field time_range_begin in the response will specify the beginning of this time range. Only <code>ErrorGroupStats</code> with a non-zero count in the given time range are returned, unless the request contains an explicit group_id list. If a group_id list is given, also <code>ErrorGroupStats</code> with zero occurrences are returned.
optional .google.devtools.clouderrorreporting.v1beta1.QueryTimeRange time_range = 5;QueryTimeRange getTimeRange()
[Optional] List data for the given time range. If not set a default time range is used. The field time_range_begin in the response will specify the beginning of this time range. Only <code>ErrorGroupStats</code> with a non-zero count in the given time range are returned, unless the request contains an explicit group_id list. If a group_id list is given, also <code>ErrorGroupStats</code> with zero occurrences are returned.
optional .google.devtools.clouderrorreporting.v1beta1.QueryTimeRange time_range = 5;QueryTimeRangeOrBuilder getTimeRangeOrBuilder()
[Optional] List data for the given time range. If not set a default time range is used. The field time_range_begin in the response will specify the beginning of this time range. Only <code>ErrorGroupStats</code> with a non-zero count in the given time range are returned, unless the request contains an explicit group_id list. If a group_id list is given, also <code>ErrorGroupStats</code> with zero occurrences are returned.
optional .google.devtools.clouderrorreporting.v1beta1.QueryTimeRange time_range = 5;boolean hasTimedCountDuration()
[Optional] The preferred duration for a single returned `TimedCount`. If not set, no timed counts are returned.
optional .google.protobuf.Duration timed_count_duration = 6;com.google.protobuf.Duration getTimedCountDuration()
[Optional] The preferred duration for a single returned `TimedCount`. If not set, no timed counts are returned.
optional .google.protobuf.Duration timed_count_duration = 6;com.google.protobuf.DurationOrBuilder getTimedCountDurationOrBuilder()
[Optional] The preferred duration for a single returned `TimedCount`. If not set, no timed counts are returned.
optional .google.protobuf.Duration timed_count_duration = 6;int getAlignmentValue()
[Optional] The alignment of the timed counts to be returned. Default is `ALIGNMENT_EQUAL_AT_END`.
optional .google.devtools.clouderrorreporting.v1beta1.TimedCountAlignment alignment = 7;TimedCountAlignment getAlignment()
[Optional] The alignment of the timed counts to be returned. Default is `ALIGNMENT_EQUAL_AT_END`.
optional .google.devtools.clouderrorreporting.v1beta1.TimedCountAlignment alignment = 7;boolean hasAlignmentTime()
[Optional] Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.
optional .google.protobuf.Timestamp alignment_time = 8;com.google.protobuf.Timestamp getAlignmentTime()
[Optional] Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.
optional .google.protobuf.Timestamp alignment_time = 8;com.google.protobuf.TimestampOrBuilder getAlignmentTimeOrBuilder()
[Optional] Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC.
optional .google.protobuf.Timestamp alignment_time = 8;int getOrderValue()
[Optional] The sort order in which the results are returned. Default is `COUNT_DESC`.
optional .google.devtools.clouderrorreporting.v1beta1.ErrorGroupOrder order = 9;ErrorGroupOrder getOrder()
[Optional] The sort order in which the results are returned. Default is `COUNT_DESC`.
optional .google.devtools.clouderrorreporting.v1beta1.ErrorGroupOrder order = 9;int getPageSize()
[Optional] The maximum number of results to return per response. Default is 20.
optional int32 page_size = 11;java.lang.String getPageToken()
[Optional] A `next_page_token` provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request.
optional string page_token = 12;com.google.protobuf.ByteString getPageTokenBytes()
[Optional] A `next_page_token` provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request.
optional string page_token = 12;